Integrate API
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
  1. Users
  • List all users
    GET
  • Add new user
    POST
  • Get user by email
    GET
  • Update user details
    PATCH
  • Change user password
    POST
  • Send password reset link
    POST
  • Delete user
    DELETE
  1. Users

Change user password

Prod Env
https://app.cubi.casa/api/integrate/v3
Prod Env
https://app.cubi.casa/api/integrate/v3
POST
/users/change-password
Change the user's password through API.

Request

Authorization
or
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Password changed successfully
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://app.cubi.casa/api/integrate/v3/users/change-password' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "user@example.com",
    "old_password": "string",
    "new_password": "string"
}'
Response Response Example
{
    "message": "Your password has been changed."
}
Modified at 2025-08-11 11:34:35
Previous
Update user details
Next
Send password reset link
Built with